/*
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Globals */
a {
    text-decoration:none;
}

a:hover,
a:focus {
    text-decoration:underline;
}
/* End Globals */

/* A11y Fixes */

/* Allow for esc key to close Kadence submenu */
.nav--toggle-sub li:hover > ul,
.nav--toggle-sub li.menu-item--toggled-on > ul,
.nav--toggle-sub li:not(.menu-item--has-toggle):focus > ul,
body .nav--toggle-sub:not(.click-to-open) li:hover>ul {
 display: none;
}

.main-navigation .menu-item .sub-menu {
  display: none;
}
.main-navigation .menu-item .sub-menu.submenu-open,
.main-navigation .menu-item .sub-menu.toggle-show {
  display: block;
}

/* Gravity Forms */
.gform_wrapper.gravity-theme input[type=color], .gform_wrapper.gravity-theme input[type=date], .gform_wrapper.gravity-theme input[type=datetime-local], .gform_wrapper.gravity-theme input[type=datetime], .gform_wrapper.gravity-theme input[type=email], .gform_wrapper.gravity-theme input[type=month], .gform_wrapper.gravity-theme input[type=number], .gform_wrapper.gravity-theme input[type=password], .gform_wrapper.gravity-theme input[type=search], .gform_wrapper.gravity-theme input[type=tel], .gform_wrapper.gravity-theme input[type=text], .gform_wrapper.gravity-theme input[type=time], .gform_wrapper.gravity-theme input[type=url], .gform_wrapper.gravity-theme input[type=week], .gform_wrapper.gravity-theme select, .gform_wrapper.gravity-theme textarea {
    font-size:1rem;
}
input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea {
    color: var(--global-palette3);
}
input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="tel"]:focus, input[type="range"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus, .gform_wrapper.gravity-theme .gfield textarea:focus, select:focus {
    border-color:#000000;
    outline:-webkit-focus-ring-color auto 1px !important;
}
/* Styling for floating label for gravity forms. 
 * Add class of floating-label to desired form fields */
.floating-label {
        position: relative;
}

.floating-label label {
    position: absolute;
    top: 12px;
    left: 0;
    margin: 0;
    opacity: 0;
    line-height: 1.4;
    font-size: 1rem;
    transition: all ease 0.4s;
}

.floating-label:focus-within label,
.floating-label input:focus ~ label, 
.floating-label textarea:focus ~ label,
.floating-label input.valid ~ label,
.floating-label textarea.valid ~ label, 
.floating-label input:visited ~ label,
.floating-label textarea:visited ~ label,
.floating-label input:-webkit-autofill ~ label,
.floating-label textarea:-webkit-autofill ~ label,
.floating-label.input-active label {
        top: 0;
    left: 16px;
    font-size: .875rem !important;
    color: var(--global-palette3);
    opacity: 1;
}

/* Basic A11Y fixes for Kadence Blocks */
body .kt-blocks-modal-link:not(.kb-btn-global-inherit):focus-within {
    outline:inherit;
}

/* Search Bar */
.woocommerce-product-search {
    position:relative;
}
.woocommerce-product-search .screen-reader-text {
    cursor: text;
     font-size: 1rem;
     left: 1rem;
     margin: 0;
     opacity: 0;
     padding-right: 3.5em;
     position: absolute;
     top: 0.75rem;
     font-weight: 500;
     transition: all ease 0.4s;
}
.woocommerce-product-search:focus-within .screen-reader-text {
    clip:unset;
    clip-path:unset;
    height:auto;
    width:auto;
    left: 12px;
    padding: 0 5px !important;
    background: #fff;
    font-size: 13px!important;
    top: -13px;
    left: 1px;
    line-height: 19px;
    color: #383b41;
    opacity: 1;
}
.woocommerce-product-search input[type='search']::placeholder,
.search-form input[type='search']::placeholder {
    opacity:1;
}

/* menu */
body:not(.hide-focus-outline) .header-navigation li.menu-item--has-toggle>a:focus .dropdown-nav-toggle {
    opacity:1 !important;
}
body #search-drawer .drawer-inner form ::-webkit-input-placeholder {
    opacity:1;
}
#search-drawer input:-webkit-autofill,
#search-drawer input:-webkit-autofill:focus {
    transition: background-color 0s 600000s, color 0s 600000s !important;
}

/* Cookies */
.cky-preference-header .cky-btn-close img {
    filter:brightness(0);
}

/* Kadence Slider */
.kb-splide .splide__pagination__page:focus-visible {
    outline:2px solid #000;
}

/* Smart Slider */
body .n2-ss-slider :focus-visible,
body .n2-ss-slider a.n2-ow:focus-visible, 
body .n2-ss-slider .n2-ow-all a:focus-visible {
    outline:1px solid #fff !important;
    box-shadow:inset 0 0 0 1px #000000 !important;
}
.n2-ss-slider .n2-ss-widget.n2-ss-widget-hidden {
    display:none;
}

/* Forms */
body select,
body select.orderby {
    background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' class='kadence-svg-icon kadence-arrow-down-svg' fill='currentColor' version='1.1' xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M5.293 9.707l6 6c0.391 0.391 1.024 0.391 1.414 0l6-6c0.391-0.391 0.391-1.024 0-1.414s-1.024-0.391-1.414 0l-5.293 5.293-5.293-5.293c-0.391-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414z'%3E%3C/path%3E%3C/svg%3E");
}

input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea, body select, body .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--single .select2-selection__rendered {
    border-color:#4E5C74;
    color:var(--global-palette3);
}

/* Events Calendar */
.tribe-events .datepicker .day.focused, .tribe-events .datepicker .day:focus, .tribe-events .datepicker .day:hover, .tribe-events .datepicker .month.focused, .tribe-events .datepicker .month:focus, .tribe-events .datepicker .month:hover, .tribe-events .datepicker .year.focused, .tribe-events .datepicker .year:focus, .tribe-events .datepicker .year:hover {
    outline:2px solid #000;
}
.tribe-events-c-search__input-group {
    position:relative;
}
.tribe-events-c-search__input-group label {
    opacity:0;
    transition: all ease 0.4s;
}
.tribe-events-c-search__input-group:focus-within label {
    clip:unset;
    height:auto;
    width:auto;
    opacity:1;
    margin:0;
    top:-40px;
}
.tribe-events .datepicker .next .tribe-events-c-top-bar__datepicker-nav-icon-svg path, .tribe-events .datepicker .prev .tribe-events-c-top-bar__datepicker-nav-icon-svg path, #primary .tribe-events .tribe-common-c-btn-icon--caret-left .tribe-common-c-btn-icon__icon-svg path, #primary .tribe-events .tribe-common-c-btn-icon--caret-right .tribe-common-c-btn-icon__icon-svg path,
.tribe-events .tribe-events-c-nav__next:disabled .tribe-events-c-nav__next-icon-svg path, .tribe-events button.tribe-events-c-nav__next:disabled .tribe-events-c-nav__next-icon-svg path {
    fill:#707070;
}

/* WooCommerce */
select.orderby:focus-visible {
    outline:2px solid #000;
}
.kadence-shop-top-row {
    position:relative;
}
.kadence-shop-top-row .skip-link {
    right:0;
    left:auto;
}
span.required {
    color:red;
}
.form-description {
    font-size:1rem;
}
.kadence-product-gallery-thumbnails.splide.splide--nav>.splide__slider>.splide__track>.splide__list>.splide__slide:focus-visible,
.kb-splide .splide__arrows .splide__arrow:focus-visible{
    box-shadow:0 0 0 3px #000 !important;
    outline:2px solid #fff !important;
}
body .kb-advanced-slide-inner {
    overflow:visible;
}
/* used to display focus outline above, if needed adjust to not apply to general Kadence slider */
/*body .kb-splide .splide__list {
    padding:3px !important;
}
body .kb-splide.splide-initial .splide__list {
    gap:3px;
}*/
.gbtn.focused {
    outline: 2px solid #fff !important;
}
body .woocommerce form .form-row label {
    color:var(--global-palette3);
}
body .wp-element-button:disabled {
    opacity:0.7;
}

:where(html:not(.no-js)) .hide-focus-outline *:focus {
    outline: revert !important;
}

/* End A11y Fixes */

/* Header */

@media (min-width:1025px) {
    .site-branding {
        margin-top:-55px;
    }
    .search-toggle-open {
        flex-direction:row-reverse;
    }
    body .search-toggle-open .search-toggle-label {
        padding-right:0;
        padding-left:5px;
    }
    body .header-menu-container ul.menu>li.kadence-menu-mega-enabled:not(.kadence-menu-mega-columns-1)>ul.sub-menu {
        gap:0;
    }
    .header-navigation.header-navigation-dropdown-animation-none .header-menu-container ul.menu>li.kadence-menu-mega-width-custom:nth-child(-n+4)>ul.sub-menu {
        left:0;
        transform:translateX(24px);
    }
    .header-navigation.header-navigation-dropdown-animation-none .header-menu-container ul.menu>li.kadence-menu-mega-width-custom:nth-child(n+5)>ul.sub-menu {
        left:auto;
        right:0;
        transform:translateX(-24px);
    }
}
.transparent-header header#masthead {
    background:linear-gradient(to bottom, rgba(0,0,0,0.9) 0%,rgba(0,0,0,0) 100%);
}
@media (min-width:1050px) and (max-width:1320px) {
    body .main-navigation .primary-menu-container > ul li.menu-item > a {
        font-size:1rem;
        padding-left:10px;
        padding-right:10px;
    }
}
body .popup-drawer .drawer-content {
    padding-left:0;
    padding-right:0;
}
body .mobile-navigation ul li.menu-item-has-children .drawer-nav-drop-wrap, 
body .mobile-navigation ul li:not(.menu-item-has-children) a {
    padding-left:20px;
    padding-right:20px;
}
body .mobile-navigation ul li.menu-item-has-children .drawer-nav-drop-wrap a {
    padding-left:0;
    padding-right:0;
}
body .mobile-navigation ul li.menu-item-has-children ul li a {
    text-transform:none;
    font-weight:400;
}

/* End Header */

/* Breadcrumbs styling  */
body .yoast-breadcrumbs span {
    font-size: 1rem;
}

body .yoast-breadcrumbs span > span:not(:first-of-type) {
    padding-left: 20px;
}

body .yoast-breadcrumbs span:not(span.breadcrumb_last) {
    font-size: 20px;
}

body .yoast-breadcrumbs a {
    text-decoration: none;
    font-weight: 600;
    font-size: 1rem;
}

body .yoast-breadcrumbs.bradcrumbs-blue-ic span {
    color: var(--global-palette4)
}

body .yoast-breadcrumbs.bradcrumbs-blue-ic span:not(span.breadcrumb_last) {
    color: #3150A2;
}

@media (max-width: 768px) {
    body .yoast-breadcrumbs span > span:not(:first-of-type) {
        padding-left: 4px;
    }
}
/* End Breadcrumbs */

/* Gravity Contact form styling */
body .contact-section .gf-contact-form_wrapper.gform-theme {
    width: 100%;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gfield_validation_message {
    color: #ffffff;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gform_validation_errors {
    border-color: #ffffff;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gform_validation_errors .gform-icon {
    color: #ffffff;
    border-color: #ffffff;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gform_submission_error {
    color: #ffffff;
}

.gf-contact-form .gform_fields {
    row-gap: 2rem;
}

.contact-section .gf-contact-form_wrapper.gform-theme .gform_required_legend {
    text-align: center;
    color: #ffffff;
    font-size: 1rem;
    line-height: 1;
    padding-bottom: 2rem;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gfield_required_asterisk,
body .contact-section .gf-contact-form_wrapper.gform-theme .gform_required_legend .gfield_required_asterisk {
    color: #ffffff;
}

body .gf-contact-form .gform-footer {
    justify-content: center;
    margin-top: 2rem;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gf-contact-form input:not([type="submit"]) {
    min-height: 48px;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gf-contact-form input,
body .contact-section .gf-contact-form_wrapper.gform-theme .gf-contact-form textarea {
    outline-color: var(--global-palette9) !important;
    outline-offset: 2px !important;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gf-contact-form  .gform-footer input[type="submit"] {
    width: 100%!important;
    max-width: 300px;
    border-radius: 2px;
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 0.3px;
    padding: 20px 34px;
}

body .contact-section .gf-contact-form_wrapper.gform-theme .gf-contact-form  .gform-footer input[type="submit"]:hover {
    background-color: var(--global-palette-btn-bg-hover);
}

body .contact-section .gf-contact-form.gform-theme .gform_confirmation_message {
    color: #ffffff;
}
/* End Gravity Forms */

/* Icons */
.kb-svg-icon-kb-custom-489 {
    position: relative;
    top: -3px;
    font-size: 24px !important;
}

/* Queries */
legend.kb-query-label {
    color: #ffffff;
}

a.wp-block-post-excerpt__more-link {
    display:none;
}

.wp-block-kadence-query .wp-block-kadence-query-card .kb-query-grid-wrap * {
    object-fit: contain;
}

.wp-block-kadence-query.companies-query .wp-block-kadence-query-card .kb-query-grid-wrap * {
    object-fit: cover;
}

.kb-query-grid-wrap > .kb-query-item.type-job {
    display: flex;
    flex-direction: column;
}
/* End Queries */

/* Single Posts */
.post-template-default .wp-site-blocks .post-thumbnail img {
    object-position: top center;
}
/*End Single Posts */
